import numpy as np
import matplotlib.pyplot as plt
from utils import Color, getColorChannel

IMAGE_INDEX = 3294
Y_RANGE = 5
X_RANGE = 25
ORIGINAL_INTERESTING_POSITION = [5752, 1695][::-1]
INTERESTING_POSITION = np.array(ORIGINAL_INTERESTING_POSITION) // 2

def getImageFilePath(imageIndex):
    return f'../rafael/240424/photos/DSC0{imageIndex}.ARW'

imageFilePath = getImageFilePath(IMAGE_INDEX)
colorChannel = getColorChannel(imageFilePath, Color.RED)
print(colorChannel.shape)

def crop(image, interestingPosition, yRange, xRange):
    return image[interestingPosition[0] - yRange: interestingPosition[0] + yRange, interestingPosition[1] - xRange: interestingPosition[1] + xRange]

#colorChannel = crop(multipleColorsImage, ORIGINAL_INTERESTING_POSITION, Y_RANGE, X_RANGE)
colorChannel = crop(colorChannel, INTERESTING_POSITION, Y_RANGE, X_RANGE)
print(colorChannel.shape)
plt.imshow(colorChannel)
plt.show()